Skip to main content
GET
/
parties
/
{partyId}
/
compliance
Get party compliance
curl --request GET \
  --url https://api.natural.co/parties/{partyId}/compliance \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "cpc_00000000000000000000000000000001",
    "type": "compliance_case",
    "attributes": {
      "partyId": "pty_019cd1798d617f65a79cb965dda9eac3",
      "status": "approved"
    },
    "version": 7
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Path Parameters

partyId
string
required

Unique party identifier

Pattern: ^pty_[0-9a-f]{32}$

Response

Successful Response

data
ComplianceCaseResource · object | null
required

Current canonical compliance case, or null when no current case exists.